HOME/組み込み製品/半導体IP/汎用IP/SHSlib
セキュリティ

SHSlib

LMS/XMSS署名検証のソフトウェアライブラリ。セキュアブートやFW更新の耐量子化に、ベアメタル可

メーカー Rambus Rambus
SHSlib 製品画像
製品名
SHSlib
スペシフィケーション
PQC

概要・特徴

Rambusの SHSlib は、状態保持型ハッシュベースの署名検証を提供するスタンドアロンの状態保持型ハッシュベースの署名ソフトウェアライブラリです。
SHSlib はソフトウェアで SHA-256 操作を実装し、Rambus EIP-120 とハードウェア統合が可能です。さらに、別のハードウェア SHA コアとの統合により高速化が可能です。
このライブラリは、最小限のフットプリントとスタック使用量に最適化されており、ハードウェアおよび OS に依存しない設計となっています。

仕様

機能

  • 高速で最小限の LMS および XMSS ソフトウェアライブラリ
  • ベアメタル、OS および HW 依存なし
  • SHA-256 用のハードウェアアクセラレーションオプション
  • HW および SW の両方に単一の API
  • サードパーティの SW または HW SHA-256 実装の統合をサポート
  • 明確で移植性の高い C ソースコードで記述されています
  • エンジニアレベルのサポートと定期的なアップデートがメンテナンスで提供されています

仕様

  • RFC 8391: XMSS: eXtended Merkle Signature Scheme
  • RFC 8554: LMS: Leighton-Micali Hash-Based Signatures
  • NIST SP 800-208 – Recommendation for Stateful Hash-Based Signature Schemes
  • RFC 6234: 米国セキュアハッシュアルゴリズム (SHA および SHA ベースの HMAC および HKDF)

サポートされるパラメータセット:
LMS:
LMS_SHA256_M32_H10
LMS_SHA256_M32_H15
LMS_SHA256_M32_H20
LMOTS_SHA256_N32_W4

XMSS:
XMSS-SHA2_10_256
XMSS-SHA2_16_256
XMSS-SHA2_20_256

使用例
セキュアブート
ファームウェアの更新
OS なし、リソース制約のある環境
上記に対する耐量子要件

対応デバイス・対応OS

ベアメタル・各種OS

ライセンス形態

弊社にお問い合わせください。

評価版

弊社にお問い合わせください。

INQUIRY

SHSlibに関する在庫、価格などの
お問い合わせはこちらから

フォームが表示されるまでしばらくお待ち下さい。

恐れ入りますが、しばらくお待ちいただいてもフォームが表示されない場合は、こちらまでお問い合わせください。

お急ぎの方はこちらから
050-3000-2102
平日:9:00〜17:00
CONTACT

まずは、ご相談ください。

「探している組み込み製品」も「相談したい組み込み開発」も、まずはこちらから。
“こんな製品はないか”、“見積もりがほしい”、“この技術は対応できるか”、“詳しい実績が知りたい”——質問だけでも結構です。
お急ぎの場合も迅速に対応します。

お電話でのお問い合わせ 050-3000-2102 インダストリービジネス事業部 平日:9:00〜17:00